Subject: bug#53062: 29.0.50; Inserting charger causes keyboard event <dead-circumflex>

From: Theodor Thornhill <[email-masked]>
Date: Fri, 14 Jan 2022 13:53:34 +0100

Po Lu <[email-masked]> writes:

> Theodor Thornhill <[email-masked]> writes:
>
>> I tried to reproduce this again, but now I only get a message telling me
>> it's not running under X when using --with-pgtk. clean configure works
>> fine. I use exwm.  I'll look into reproducing with the commit I reported
>> the bug with.
>
> Thanks, but I don't understand what message you allude to, and where
> it's from.  Could you show the error message?
>
This code resides in exwm.el, and is the one messaging the error

(when (not (eq 'x (framep frame)))
    (message "[EXWM] Not running under X environment")
    (cl-return-from exwm-init))
    
This seems to be because (framep frame) returns 'pgtk, and not 'x. So
exwm cannot run under 'pgtk, it seems.  Not sure if that is _only_ a bug
in exwm, or maybe should also be addressed in pgtk?

>> Side note: is it expected that exwm error when running --with-pgtk under
>> X? The only difference in setup is that option set or not. Exwm is run
>> with startx, so I assume we are in X.
>
> Yes.  You should not use the PGTK build under X, it is much worse than
> the regular X build in every aspect.
>

Right, gotcha